## tscalib 0.0.1-3

=== Makefile ===

CC = gcc
CFLAGS = -Os
LIBS = -lts
PREFIX = /usr/local


TARGET = tscalib

SOURCES = ts_calibrate.c fbutils.c font_8x16.c font_8x8.c
OBJECTS = $(patsubst %.c,%.o,$(SOURCES))


all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)

clean:
	rm -rf $(OBJECTS) $(TARGET) .depends

install: $(TARGET)
	install -d -m 755 $(PREFIX)/bin
	install -c -m 755 $(TARGET) $(PREFIX)/bin/$(TARGET)

.depends:
	$(CC) -MM $(SOURCES) > .depends


-include .depends

=== _darcs/current/Makefile ===

CC = gcc
CFLAGS = -O2
LIBS = -lts
PREFIX = /usr/local


TARGET = tscalib

SOURCES = ts_calibrate.c fbutils.c font_8x16.c font_8x8.c
OBJECTS = $(patsubst %.c,%.o,$(SOURCES))


all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)

clean:
	rm -rf $(OBJECTS) $(TARGET) .depends

install: $(TARGET)
	install -d -m 755 $(PREFIX)/bin
	install -c -m 755 $(TARGET) $(PREFIX)/bin/$(TARGET)

.depends:
	$(CC) -MM $(SOURCES) > .depends


-include .depends

=== _darcs/current/debian/changelog ===
tscalib (0.0.1-1) unstable; urgency=low

  * The new cool tscalib

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 17 Dec 2004 12:12:28 +0200

=== debian/changelog ===
tscalib (0.0.1-3) unstable; urgency=low

  * new upstream version

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed,  9 Feb 2005 17:08:01 +0200

tscalib (0.0.1-2) unstable; urgency=low

  * Clear the last cross to prevent users trying to break hardware

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  7 Feb 2005 12:01:50 +0200

=== _darcs/current/debian/control ===
Source: tscalib
Priority: optional
Maintainer: Lauri Leukkunen <lauri.leukkunen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), tslib-dev
Standards-Version: 3.6.0

Package: tscalib
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: tslib (<< 0.0.1-8)
Description: tslib touchscreen calibration tool

=== debian/control ===
Source: tscalib
Priority: optional
Maintainer: Lauri Leukkunen <lauri.leukkunen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), tslib-dev (>= 0.0.1-9)
Standards-Version: 3.6.0

Package: tscalib
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: tslib (<< 0.0.1-8)
Description: tslib touchscreen calibration tool

=== _darcs/current/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp:  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cp tscalib $(CURDIR)/debian/tscalib/usr/bin/ts_calibrate

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
